## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreShortcutsDecoratorProvider.ShortcutsDecorator

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator
          org.eclipse.emf.ecoretools.diagram.providers.EcoreShortcutsDecoratorProvider.ShortcutsDecorator

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecorator

Enclosing class:
  EcoreShortcutsDecoratorProvider

    protected class EcoreShortcutsDecoratorProvider.ShortcutsDecorator

extends org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator

Constructor Summary
`EcoreShortcutsDecoratorProvider.ShortcutsDecorator(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)`

Method Summary
`void` `activate()`
`void` `refresh()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.services.decorator.AbstractDecorator
`deactivate, getDecoration, getDecoratorTarget, removeDecoration, setDecoration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreShortcutsDecoratorProvider.ShortcutsDecorator

    public EcoreShortcutsDecoratorProvider.ShortcutsDecorator(org.eclipse.gmf.runtime.diagram.ui.services.decorator.IDecoratorTarget decoratorTarget)

Method Detail

### activate

    public void activate()

### refresh

    public void refresh()

Copyright 2007 Anyware Technologies. All Rights Reserved.